Bug 90591 - ThinkPad T40 no DMA for IDE HD
ThinkPad T40 no DMA for IDE HD
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-09 20:32 EDT by ammulder
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 05:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ammulder 2003-05-09 20:32:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I just laid hands on an IBM ThinkPad T40.  With Red Hat 9 on it, the hard drive
access is incredibly slow.  Further, the mouse and keyboard tend to lock up
under heavy disk usage, or more precisely, the events are not delivered for
10-30 seconds while the hard drive light is on, and then they catch up when the
hard drive light goes off.  I know little about such matters, but there is some
more detail at the URL below, which suggests enabling DMA access improves the
situation measurably:

http://www.w-m-p.com/linux-on-t40.html#setting%20up%20hardware%20support

When I try to enable DMA, it doesn't work:
[root@falcon root]# hdparm -d1 /dev/hda

/dev/hda:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

The page referenced above states that DMA works with a more recent kernel, so it
seems like there's a patch out there that fixes this, and it would be great if
it was included in a future Red Hat 9 kernel update.

Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. SFTP or rsync or something to fetch a large set of files


Actual Results:  Wave cursor around in X-Windows, try to type in a terminal,
watch cursor stagger and then leap and wait for keystrokes to appear

Expected Results:  Smooth UI response during disk access

Additional info:
Comment 1 Arjan van de Ven 2003-05-10 03:58:22 EDT
http://people.redhat.com/arjanv/testkernels/
has a newer kernel where the Intel ICH5 PCI ID's are added
Comment 2 ammulder 2003-05-10 11:58:35 EDT
The 2.4.20-9.5 test kernel enabled DMA by default, and also enabled AGP (I
forgot to mention or file a bug, but AGP wasn't working either in the standard
2.4.20-9 kernel).  Thanks!
Comment 3 Arjan van de Ven 2003-05-22 05:42:10 EDT
this is now released as erratum; closing as such.

Note You need to log in before you can comment on or make changes to this bug.